" Vim syntax file
" Language: 	IceWM configuration
" Maintainer:	Justyna Biaa <nell@skrzynka.pl>
" Updated:	2002-03-05
"
syn keyword icewmFunction	menu 
syn keyword icewmStatement	folder prog
syn keyword icewmStatement	key
syn keyword icewmSeparator  	separator	
syn match   icewmOption		".*=" 
syn match   icewmComment	"#.*$" 

" strings
syn region icewmString		matchgroup=Normal start=+'+  end=+'+ skip=+\\\\\|\\'+ contains=icewmEscape
syn region icewmString		matchgroup=Normal start=+"+  end=+"+ skip=+\\\\\|\\"+ contains=icewmEscape
syn region icewmString		matchgroup=Normal start=+"""+  end=+"""+ contains=icewmEscape
syn region icewmString		matchgroup=Normal start=+'''+  end=+'''+ contains=icewmEscape
syn region icewmRawString	matchgroup=Normal start=+[rR]'+ end=+'+ skip=+\\\\\|\\'+
syn region icewmRawString	matchgroup=Normal start=+[rR]"+    end=+"+ skip=+\\\\\|\\"+
syn region icewmRawString	matchgroup=Normal start=+[rR]"""+ end=+"""+
syn region icewmRawString	matchgroup=Normal start=+[rR]'''+ end=+'''+
syn match  icewmEscape		+\\[abfnrtv'"\\]+ contained
syn match  icewmEscape		"\\\o\o\=\o\=" contained
syn match  icewmEscape		"\\x\x\+" contained
syn match  icewmEscape		"\\$"

" numbers (including longs and complex)
syn match   icewmNumber	"\<0x\x\+[Ll]\=\>"
syn match   icewmNumber	"\<\d\+[LljJ]\=\>"
syn match   icewmNumber	"\.\d\+\([eE][+-]\=\d\+\)\=[jJ]\=\>"
syn match   icewmNumber	"\<\d\+\.\([eE][+-]\=\d\+\)\=[jJ]\=\>"
syn match   icewmNumber	"\<\d\+\.\d\+\([eE][+-]\=\d\+\)\=[jJ]\=\>"

command -nargs=+ HiLink hi def link <args>

HiLink icewmStatement		Statement
HiLink icewmFunction		Function
HiLink icewmOption		Label
HiLink icewmString		String
HiLink icewmRawString		String
HiLink icewmSeparator		Special
HiLink icewmComment		Comment
HiLink icewmNumber		Number

delcommand HiLink

let b:current_syntax = "icewm"

" vim: ts=8
